import { type DataGridMainActionsProps } from '../types';
type UseLogicParams<TAction> = DataGridMainActionsProps<TAction>;
export declare const useLogic: <TAction>({ actions }: UseLogicParams<TAction>) => {
    processedActions: import("../../types").MainActionKind<TAction>[] | undefined;
    isDisabled: boolean;
    onActionClick: import("../../types").ActionCellHandler<TAction>;
};
export {};
